<?php 
/*
 * Plugin Name: Html5 Audio Player PRO
 * Plugin URI:  http://abuhayatpolash.com/plugins/html5-audio-player/
 * Description: You can easily integrate html5 audio player in your wordress website using this plugin.
 * Version: 1.1
 * Author: Abu Hayat Polash
 * Author URI: http://abuhayatpolash.com
 * License: GPLv3
 */



 //Script and style
function h5ap_style_and_scripts() {
    wp_enqueue_style( 'h5ap-style', plugin_dir_url( __FILE__ ) . 'style/player-style-custom.css' );
    wp_enqueue_script( 'h5ap-script', plugin_dir_url( __FILE__ ) . 'js/plyr.js' , '1.1', true );
}
add_action( 'wp_enqueue_scripts', 'h5ap_style_and_scripts' );

/*Some Set-up*/
define('H5AP_PLUGIN_DIR', WP_PLUGIN_URL . '/' . plugin_basename( dirname(__FILE__) ) . '/' ); 
 
//Remove post update massage and link 
function h5ap_updated_messages( $messages ) {
    $messages['audioplayer'][1] = __('Player updated ');
    return $messages;
}
add_filter('post_updated_messages','h5ap_updated_messages');
 

/* Register Custom Post Types */
     
            add_action( 'init', 'h5ap_create_post_type' );
            function h5ap_create_post_type() {
                    register_post_type( 'audioplayer',
                            array(
                                    'labels' => array(
                                            'name' => __( 'Html5 Audio Player'),
                                            'singular_name' => __( 'Audio Player' ),
                                            'add_new' => __( 'Add Audio Player' ),
                                            'add_new_item' => __( 'Add New Player' ),
                                            'edit_item' => __( 'Edit Player' ),
                                            'new_item' => __( 'New Player' ),
                                            'view_item' => __( 'View Player' ),
											'search_items'       => __( 'Search Player'),
                                            'not_found' => __( 'Sorry, we couldn\'t find the Player you are looking for.' )
                                    ),
                            'public' => false,
							'show_ui' => true, 									
                            'publicly_queryable' => true,
                            'exclude_from_search' => true,
                            'menu_position' => 14,
							'menu_icon' =>H5AP_PLUGIN_DIR .'/img/icn.png',
                            'has_archive' => false,
                            'hierarchical' => false,
                            'capability_type' => 'page',
                            'rewrite' => array( 'slug' => 'audioplayer' ),
                            'supports' => array( 'title' )
                            )
                    );
            }	
			
/*-------------------------------------------------------------------------------*/
/*   CMB2 + OTHER INC
/*-------------------------------------------------------------------------------*/			
include_once('cmb2/init.php');
include_once('cmb2/example-functions.php');
require_once( 'tinymce/ewic-tinymce.php' );
require_once('inc/class.settings-api.php');
require_once('inc/fields.php');


/*-------------------------------------------------------------------------------*/
/*   Hide & Disabled View, Quick Edit and Preview Button
/*-------------------------------------------------------------------------------*/
function h5ap_remove_row_actions( $idtions ) {
	global $post;
    if( $post->post_type == 'audioplayer' ) {
		unset( $idtions['view'] );
		unset( $idtions['inline hide-if-no-js'] );
	}
    return $idtions;
}

if ( is_admin() ) {
	add_filter( 'post_row_actions','h5ap_remove_row_actions', 10, 2 );}

	// HIDE everything in PUBLISH metabox except Move to Trash & PUBLISH button
function h5ap_hide_publishing_actions(){
        $my_post_type = 'audioplayer';
        global $post;
        if($post->post_type == $my_post_type){
            echo '
                <style type="text/css">
                    #misc-publishing-actions,
                    #minor-publishing-actions{
                        display:none;
                    }
                </style>
            ';
        }
}
add_action('admin_head-post.php', 'h5ap_hide_publishing_actions');
add_action('admin_head-post-new.php', 'h5ap_hide_publishing_actions');	

 // Change publish button to save.
add_filter( 'gettext', 'h5ap_change_publish_button', 10, 2 );

function h5ap_change_publish_button( $translation, $text ) {
if ( 'audioplayer' == get_post_type())
if ( $text == 'Publish' )
    return 'Save';

return $translation;
}

// Retrive Options value
 function h5ap_retrive_option( $option, $section, $default = '' ) {

        $options = get_option( $section );

        if ( isset( $options[$option] ) ) {
            return $options[$option];
        }

        return $default;
    } 

//Lets register Shortcode
function h5ap_cpt_content_func($atts){
	extract( shortcode_atts( array(

		'id' => null,

	), $atts ) );

?>
<?php ob_start(); ?>
<div style="<?php if(empty(get_post_meta($id,'_ahp_audio-size', true))){echo "width:100%";}else {echo get_post_meta($id,'_ahp_audio-size', true);};?>">

<audio download  crossorigin playsinline controls  preload="<?php echo get_post_meta($id,'_ahp_preload', true);?>" class="player<?php echo $id;?>"<?php $status1= get_post_meta($id,'_ahp_audio-repeat', true); if ($status1=="loop"){echo "loop";}else{ echo "";}?> <?php $stutas= get_post_meta($id,'_ahp_audio-autoplay', true); if ($stutas=="on"){echo"autoplay";}?> <?php $stutas= get_post_meta($id,'_ahp_audio-muted', true); if ($stutas=="on"){echo"muted";} ?> >
  <source src="<?php echo get_post_meta($id,'_ahp_audio-file', true); ?>" type="audio/mp3">
  
Your browser does not support the audio element.
</audio>
</div>

<script type="text/javascript">
const players<?php echo $id;?> = Plyr.setup('.player<?php echo $id;?>', {
	controls:[
	<?php $stutas= get_post_meta($id,'_ahp_play_button', true); if ($stutas!=="on"){echo "'play',";} ?>
	<?php $stutas= get_post_meta($id,'_ahp_progress_bar', true); if ($stutas!=="on"){echo "'progress',";} ?>
	<?php $stutas= get_post_meta($id,'_ahp_duration', true); if ($stutas!=="on"){echo "'duration',";} ?>
	<?php $stutas= get_post_meta($id,'_ahp_mute_button', true); if ($stutas!=="on"){echo "'mute',";} ?>
	<?php $stutas= get_post_meta($id,'_ahp_volume', true); if ($stutas!=="on"){echo "'volume',";} ?>
	<?php $stutas= get_post_meta($id,'_ahp_setting_button', true); if ($stutas=="on"){echo "'settings',";} ?>
	<?php $stutas= get_post_meta($id,'_ahp_download_button', true); if ($stutas!=="on"){echo "'download'";} ?>
	   ],
});
</script>
<style>

.plyr__control[data-plyr="play"]{
  background: <?php echo h5ap_retrive_option('color_one','wedevs_basics','#4f5b5f') ?>;
  color: #ffffff;

}
.plyr--full-ui input[type=range]{
  color: <?php echo h5ap_retrive_option('color_one','wedevs_basics','#4f5b5f') ?>;
}
.plyr__control{
  color: <?php echo h5ap_retrive_option('color_one','wedevs_basics','#4f5b5f') ?>;
}

.plyr__time, .plyr__time--duration{
 color: <?php echo h5ap_retrive_option('color_one','wedevs_basics','#4f5b5f') ?>;
}

/*Secondery*/

button.plyr__control:hover{
  background: <?php echo h5ap_retrive_option('color_two','wedevs_basics','#1aafff') ?>; }

.plyr--audio .plyr__control[aria-expanded=true] {
background: <?php echo h5ap_retrive_option('color_two','wedevs_basics','#1aafff') ?>;}

.plyr--video .plyr__control[aria-expanded=true] {
background: <?php echo h5ap_retrive_option('color_two','wedevs_basics','#1aafff') ?>;}

.plyr__control--overlaid:hover {
background: <?php echo h5ap_retrive_option('color_two','wedevs_basics','#1aafff') ?>;}

.plyr__menu__container .plyr__control[role=menuitemradio][aria-checked=true]::before {
    background: <?php echo h5ap_retrive_option('color_two','wedevs_basics','#1aafff') ?>; }
.plyr--full-ui input[type=range] {
color: <?php echo h5ap_retrive_option('color_two','wedevs_basics','#1aafff') ?>; }

.plyr--audio .plyr__control[aria-expanded=true] {
background: <?php echo h5ap_retrive_option('color_two','wedevs_basics','#1aafff') ?>; }

.plyr--video .plyr__control[aria-expanded=true] {
background: <?php echo h5ap_retrive_option('color_two','wedevs_basics','#1aafff') ?>; }

.plyr__control--overlaid:hover {
   <?php echo h5ap_retrive_option('color_two','wedevs_basics','#1aafff') ?>; }
.plyr__menu__container .plyr__control[role=menuitemradio][aria-checked=true]::before {
    <?php echo h5ap_retrive_option('color_two','wedevs_basics','#1aafff') ?>; }

.plyr--audio .plyr__controls {
	background:<?php echo h5ap_retrive_option('bg_color','wedevs_basics','#') ?> !important;
}

</style>
<?php $output = ob_get_clean();return $output;?>
<?php
}
add_shortcode('player','h5ap_cpt_content_func');


// ONLY MOVIE CUSTOM TYPE POSTS
add_filter('manage_audioplayer_posts_columns', 'ST4_columns_head_only_audioplayer', 10);
add_action('manage_audioplayer_posts_custom_column', 'ST4_columns_content_only_audioplayer', 10, 2);
 
// CREATE TWO FUNCTIONS TO HANDLE THE COLUMN
function ST4_columns_head_only_audioplayer($defaults) {
    $defaults['directors_name'] = 'ShortCode';
    return $defaults;
}
function ST4_columns_content_only_audioplayer($column_name, $post_ID) {
    if ($column_name == 'directors_name') {
        // show content of 'directors_name' column
		echo '<input onClick="this.select();" value="[player id='. $post_ID . ']" >';
    }
}


// Sub menu
add_action('admin_menu', 'h5ap_custom_developer_page');

function h5ap_custom_developer_page() {
	add_submenu_page( 'edit.php?post_type=audioplayer', 'Developer', 'Developer', 'manage_options', 'h5ap-developer', 'h5ap_developer_page_callback' );
}



function h5ap_developer_page_callback() {
	
	echo '<div class="wrap"><div id="icon-tools" class="icon32"></div>';
		echo '<h2>Developer</h2>
		<h2>Md Abu hayat polash</h2>
		<h3>Professional Web Developer</h3>
		<h5>Hire Me : <a href="http://fiverr.com/abuhayat">www.fiverr.com/abuhayat</h5></a>
		Email: <a href="mailto:abuhayat.du@gmail.com">abuhayat.du@gmail.com </a>
		<h5>Skype: ah_polash</h5> 
		<h5>Web: <a target="_blank" href="http://abuhayatpolash.com"> www.abuhayatpolash.com </a></h5>
		<br />
		
		';
	echo '</div>';

}

// Sub menu
add_action('admin_menu', 'h5ap_settings_page');

function h5ap_settings_page() {
	add_submenu_page( 'edit.php?post_type=audioplayer', 'Color Settings', 'Color Settings', 'manage_options', 'h5ap-settings', 'setting_page_cb' );
	
	
}
function setting_page_cb() {
	
	echo '<div class="wrap"><div id="icon-tools" class="icon32"></div>';
		echo '
		<h2>To change Player color, Go <a href="options-general.php?page=html5ap_settings">Settings > Html5 Audio Player Settings</a></h2>		
		';
	echo '</div>';
	}